/*
 * addritem.h:
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: addritem.h,v 1.1.1.1 2005/06/27 13:37:56 cm Exp $
 */

#ifndef __ADDRITEM_H
#define __ADDRITEM_H

#include <vdr/menuitems.h>

class cMenuEditAddrItem : public cMenuEditItem {
  private:
    unsigned long *p_value;
    unsigned char num;
    int pos;
    bool lock;
  protected:
    virtual void Set(void);
  public:
    cMenuEditAddrItem(const char *Name, unsigned long *Value);
    ~cMenuEditAddrItem();
    virtual eOSState ProcessKey(eKeys Key);
};

#endif
